#version 330

precision highp float; // Video card drivers require this line to function properly

in vec2 uvCoord;

uniform sampler2D activeTexture;

out vec4 fragColor;

// ToDo: improve this!
//resolution^-1
//const float ddx = (1.0/1280.0) * 2;
const float ddx = (1.0/2048.0) * 4;


void main(void)
{
  vec4 outp = vec4(0.0, 0.0, 0.0, 0.0);

  // horizontal blur (gauss)

  //eigentlich sind es ja 5 werte, aber die folgende zeile liest 2 texturwerte
  //auf einmal aus indem er zwischen 2 pixel ausliest und linear filtern laesst:
  outp += 21 * texture(activeTexture, uvCoord + vec2( ddx*-1.0 - 0.286 * ddx, 0.0) );
  outp += 20 * texture(activeTexture, uvCoord + vec2( 0.0, 0.0)                    );
  outp += 21 * texture(activeTexture, uvCoord + vec2( ddx*+1.0 + 0.286 * ddx, 0.0) );

  outp /= 62;

  fragColor = outp;
 }
