#version 330

in vec3 in_Position;

uniform mat4 modelViewProjectionMatrix;

out vec4 position;

void main(void)
{
	position = modelViewProjectionMatrix * vec4(in_Position.x, in_Position.y, in_Position.z, 1.0);
	gl_Position = position;
}
